MetacatUI - Bug #6497

Javascript FormData object not supported in IE 8 and earlier

04/04/2014 12:13 PM - Lauren Walker
Priority: Normal Due date:
Category: Estimated time: 0.00 hour
Description

It is used in the RegistryView to submit the metadata entry form.

History

#1 - 04/07/2014 10:13 AM - Lauren Walker

- Status changed from New to In Progress

I am currently testing a jQuery plugin called jQuery Form (http:/malsup.com/jquery/form/#getting-started) which allows file uploads in IE8+ and other

browsers.

#2 - 04/07/2014 01:29 PM - Lauren Walker

- Status changed from In Progress to Resolved

I've tested the plugin in IE 8,9,10, Firefox 9+, and Chrome 33 and it works. The plugin only needs to be used when submitting a form with file inputs.

The usual $.ajax() works ok in IE 8 and 9.
